Hide email address from unregistered users
Status: Closed Start date: 2008-02-21

Priority: Normal Due date:  

Assignee:  % Done: 0%
Target version:    

Resolution: Duplicate   

Description

Currently the "Hide email address" preference allows a user to publish or not publish their email address regardless of the

registration status of the user viewing the account/show page.

For public projects, it is desirable to publish one's email address so that users can contact project members to request project

membership. However, this leaves the member's email address open to spam.

It would be useful to restrict publishing member email addresses to only users who have bothered to register with the site. This would

go a long way to avoiding spam, and allow potential project members to contact existing members.

Related issues:

Related to Redmine - Feature #4962: "Hide my email address" enable by default Closed 2010-03-02

Related to Redmine - Feature #861: Allow administrator to hide all emails New 2008-03-14

Related to Redmine - Feature #2836: Account's initial setting management inte... Closed 2009-02-25

Is duplicate of Redmine - Feature #21042: Check "Hide my email address" by de... Closed

History

#1 - 2008-04-25 12:46 - Sven Schwyn

This is a very good feature request! Indeed, it would be even better if it included custom user fields as well. If you define i.e. a custom user field "cell

phone", you most likely wish to allow only users with accounts to see this number - specially when you run Redmine with self-registration disabled.

#2 - 2009-06-30 13:56 - Thomas Jahns

I second this request. Authenticated users seeing each others email address is fine with our organization because redmine ldap signon and email are

tied to one another anyway. But I'd prefer outside users on our public tools could only download distributions and report issues.

#3 - 2012-04-10 13:31 - Kirill Kornyakov

This plugin does it nicely: http://www.redmine.org/plugins/hide-emails. The only problem is that you should edit this value for all existing project

members.

#4 - 2012-12-18 07:53 - Daniel Felix

Maybe, this should be a core feature?

It would be good, to hide e-mail-addresses by default for non-registered users.

#5 - 2012-12-18 09:27 - Terence Mill

+1

#6 - 2013-09-17 08:30 - Toshi MARUYAMA

- Related to Feature #861: Allow administrator to hide all emails added

#7 - 2013-09-17 08:33 - Toshi MARUYAMA

- Related to Feature #2836: Account's initial setting management interface added

#8 - 2018-09-18 18:48 - Go MAEDA

- Is duplicate of Feature #21042: Check "Hide my email address" by default for new users added

#9 - 2018-09-18 18:48 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Duplicate

Email addresses are hidden by default since Redmine 3.2.0 (#21042).
